searchData={"items":[{"type":"module","title":"MDExMermaid","doc":"[MDEx](https://mdelixir.dev) plugin for [Mermaid](https://mermaid.js.org).","ref":"MDExMermaid.html"},{"type":"module","title":"Usage - MDExMermaid","doc":"````elixir\nMix.install([\n  {:mdex_mermaid, \"~> 0.1\"}\n])\n\nmarkdown = \"\"\"\n# Flowchart\n\n```mermaid\ngraph TD;\n    A-->B;\n    A-->C;\n    B-->D;\n    C-->D;\n```\n\"\"\"\n\nmdex = MDEx.new() |> MDExMermaid.attach()\n\nMDEx.to_html!(mdex, document: markdown) |> IO.puts()\n#=>\n#  Flowchart \n#  graph TD;\n#     A-->B;\n#     A-->C;\n#     B-->D;\n#     C-->D;\n#  \n#  \n#   import mermaid from 'https://cdn.jsdelivr.net/npm/mermaid@11/dist/mermaid.esm.min.mjs';\n#\n#   const theme = window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches ? 'dark' : 'default';\n#\n#   mermaid.initialize({\n#     securityLevel: 'loose',\n#     theme: theme,\n#   });\n#  \n````\n\nSee [attach/2](https://hexdocs.pm/mdex_mermaid/MDExMermaid.html#attrach/2) for more info.","ref":"MDExMermaid.html#module-usage"},{"type":"function","title":"MDExMermaid.attach/2","doc":"Attaches the MDExMermaid plugin into the MDEx pipeline.\n\n- Mermaid is loaded from https://www.jsdelivr.com/package/npm/mermaid\n- Theme is determined by the user's `prefers-color-scheme` system preference","ref":"MDExMermaid.html#attach/2"},{"type":"function","title":"Options - MDExMermaid.attach/2","doc":"- `:mermaid_version` (`t:String.t/0`. Defaults to \"11\") - The version of mermaid to use. \n  - `:mermaid_security_level` (`t:String.t/0`. Defaults to \"loose\") - The [security level](https://mermaid.js.org/config/usage.html#securitylevel) to use for the mermaid diagrams.","ref":"MDExMermaid.html#attach/2-options"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"0.2.0 (2025-04-08) - Changelog","doc":"","ref":"changelog.html#0-2-0-2025-04-08"},{"type":"extras","title":"Breaking Changes - Changelog","doc":"- Renamed option `:version` to `:mermaid_version`\n- Renamed option `:security_level` to `:mermaid_security_level`","ref":"changelog.html#breaking-changes"},{"type":"extras","title":"Fixes - Changelog","doc":"- Merge all options in `attach/2`","ref":"changelog.html#fixes"},{"type":"extras","title":"0.1.0 (2025-03-31) - Changelog","doc":"- Initial release","ref":"changelog.html#0-1-0-2025-03-31"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}